Package org.apache.storm.generated

# Class StormBase

java.lang.Object
org.apache.storm.generated.StormBase

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<StormBase>`, `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class StormBase extends Object implements org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>, Serializable, Cloneable, Comparable<StormBase>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `StormBase._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<StormBase._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StormBase()`
  `StormBase(String name, TopologyStatus status, int num_workers)`
  `StormBase(StormBase other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(StormBase other)`
  `StormBase`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(StormBase that)`
  `StormBase._Fields`
  `fieldForId(int fieldId)`
  `Map<String,DebugOptions>`
  `get_component_debug()`
  `int`
  `get_component_debug_size()`
  `Map<String,Integer>`
  `get_component_executors()`
  `int`
  `get_component_executors_size()`
  `int`
  `get_launch_time_secs()`
  `String`
  `get_name()`
  `int`
  `get_num_workers()`
  `String`
  `get_owner()`
  `TopologyStatus`
  `get_prev_status()`
  `String`
  `get_principal()`
  `TopologyStatus`
  `get_status()`
  `TopologyActionOptions`
  `get_topology_action_options()`
  `String`
  `get_topology_version()`
  `Object`
  `getFieldValue(StormBase._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_component_debug()`
  Returns true if field component_debug is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_component_executors()`
  Returns true if field component_executors is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_launch_time_secs()`
  Returns true if field launch_time_secs is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_name()`
  Returns true if field name is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_num_workers()`
  Returns true if field num_workers is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_owner()`
  Returns true if field owner is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_prev_status()`
  Returns true if field prev_status is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_principal()`
  Returns true if field principal is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_status()`
  Returns true if field status is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topology_action_options()`
  Returns true if field topology_action_options is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_topology_version()`
  Returns true if field topology_version is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(StormBase._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `put_to_component_debug(String key, DebugOptions val)`
  `void`
  `put_to_component_executors(String key, int val)`
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_component_debug(Map<String,DebugOptions> component_debug)`
  `void`
  `set_component_debug_isSet(boolean value)`
  `void`
  `set_component_executors(Map<String,Integer> component_executors)`
  `void`
  `set_component_executors_isSet(boolean value)`
  `void`
  `set_launch_time_secs(int launch_time_secs)`
  `void`
  `set_launch_time_secs_isSet(boolean value)`
  `void`
  `set_name(String name)`
  `void`
  `set_name_isSet(boolean value)`
  `void`
  `set_num_workers(int num_workers)`
  `void`
  `set_num_workers_isSet(boolean value)`
  `void`
  `set_owner(String owner)`
  `void`
  `set_owner_isSet(boolean value)`
  `void`
  `set_prev_status(TopologyStatus prev_status)`
  `void`
  `set_prev_status_isSet(boolean value)`
  `void`
  `set_principal(String principal)`
  `void`
  `set_principal_isSet(boolean value)`
  `void`
  `set_status(TopologyStatus status)`
  `void`
  `set_status_isSet(boolean value)`
  `void`
  `set_topology_action_options(TopologyActionOptions topology_action_options)`
  `void`
  `set_topology_action_options_isSet(boolean value)`
  `void`
  `set_topology_version(String topology_version)`
  `void`
  `set_topology_version_isSet(boolean value)`
  `void`
  `setFieldValue(StormBase._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_component_debug()`
  `void`
  `unset_component_executors()`
  `void`
  `unset_launch_time_secs()`
  `void`
  `unset_name()`
  `void`
  `unset_num_workers()`
  `void`
  `unset_owner()`
  `void`
  `unset_prev_status()`
  `void`
  `unset_principal()`
  `void`
  `unset_status()`
  `void`
  `unset_topology_action_options()`
  `void`
  `unset_topology_version()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<StormBase._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### StormBase

    public StormBase()

  - ### StormBase

    public StormBase(String name, TopologyStatus status, int num_workers)

  - ### StormBase

    public StormBase(StormBase other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public StormBase deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### get_name

    public String get_name()

  - ### set_name

    public void set_name(String name)

  - ### unset_name

    public void unset_name()

  - ### is_set_name

    public boolean is_set_name()
    Returns true if field name is set (has been assigned a value) and false otherwise

  - ### set_name_isSet

    public void set_name_isSet(boolean value)

  - ### get_status

    public TopologyStatus get_status()
    See Also:
      - `TopologyStatus`

  - ### set_status

    public void set_status(TopologyStatus status)
    See Also:
      - `TopologyStatus`

  - ### unset_status

    public void unset_status()

  - ### is_set_status

    public boolean is_set_status()
    Returns true if field status is set (has been assigned a value) and false otherwise

  - ### set_status_isSet

    public void set_status_isSet(boolean value)

  - ### get_num_workers

    public int get_num_workers()

  - ### set_num_workers

    public void set_num_workers(int num_workers)

  - ### unset_num_workers

    public void unset_num_workers()

  - ### is_set_num_workers

    public boolean is_set_num_workers()
    Returns true if field num_workers is set (has been assigned a value) and false otherwise

  - ### set_num_workers_isSet

    public void set_num_workers_isSet(boolean value)

  - ### get_component_executors_size

    public int get_component_executors_size()

  - ### put_to_component_executors

    public void put_to_component_executors(String key, int val)

  - ### get_component_executors

    public Map<String,Integer> get_component_executors()

  - ### set_component_executors

    public void set_component_executors(Map<String,Integer> component_executors)

  - ### unset_component_executors

    public void unset_component_executors()

  - ### is_set_component_executors

    public boolean is_set_component_executors()
    Returns true if field component_executors is set (has been assigned a value) and false otherwise

  - ### set_component_executors_isSet

    public void set_component_executors_isSet(boolean value)

  - ### get_launch_time_secs

    public int get_launch_time_secs()

  - ### set_launch_time_secs

    public void set_launch_time_secs(int launch_time_secs)

  - ### unset_launch_time_secs

    public void unset_launch_time_secs()

  - ### is_set_launch_time_secs

    public boolean is_set_launch_time_secs()
    Returns true if field launch_time_secs is set (has been assigned a value) and false otherwise

  - ### set_launch_time_secs_isSet

    public void set_launch_time_secs_isSet(boolean value)

  - ### get_owner

    public String get_owner()

  - ### set_owner

    public void set_owner(String owner)

  - ### unset_owner

    public void unset_owner()

  - ### is_set_owner

    public boolean is_set_owner()
    Returns true if field owner is set (has been assigned a value) and false otherwise

  - ### set_owner_isSet

    public void set_owner_isSet(boolean value)

  - ### get_topology_action_options

    public TopologyActionOptions get_topology_action_options()

  - ### set_topology_action_options

    public void set_topology_action_options(TopologyActionOptions topology_action_options)

  - ### unset_topology_action_options

    public void unset_topology_action_options()

  - ### is_set_topology_action_options

    public boolean is_set_topology_action_options()
    Returns true if field topology_action_options is set (has been assigned a value) and false otherwise

  - ### set_topology_action_options_isSet

    public void set_topology_action_options_isSet(boolean value)

  - ### get_prev_status

    public TopologyStatus get_prev_status()
    See Also:
      - `TopologyStatus`

  - ### set_prev_status

    public void set_prev_status(TopologyStatus prev_status)
    See Also:
      - `TopologyStatus`

  - ### unset_prev_status

    public void unset_prev_status()

  - ### is_set_prev_status

    public boolean is_set_prev_status()
    Returns true if field prev_status is set (has been assigned a value) and false otherwise

  - ### set_prev_status_isSet

    public void set_prev_status_isSet(boolean value)

  - ### get_component_debug_size

    public int get_component_debug_size()

  - ### put_to_component_debug

    public void put_to_component_debug(String key, DebugOptions val)

  - ### get_component_debug

    public Map<String,DebugOptions> get_component_debug()

  - ### set_component_debug

    public void set_component_debug(Map<String,DebugOptions> component_debug)

  - ### unset_component_debug

    public void unset_component_debug()

  - ### is_set_component_debug

    public boolean is_set_component_debug()
    Returns true if field component_debug is set (has been assigned a value) and false otherwise

  - ### set_component_debug_isSet

    public void set_component_debug_isSet(boolean value)

  - ### get_principal

    public String get_principal()

  - ### set_principal

    public void set_principal(String principal)

  - ### unset_principal

    public void unset_principal()

  - ### is_set_principal

    public boolean is_set_principal()
    Returns true if field principal is set (has been assigned a value) and false otherwise

  - ### set_principal_isSet

    public void set_principal_isSet(boolean value)

  - ### get_topology_version

    public String get_topology_version()

  - ### set_topology_version

    public void set_topology_version(String topology_version)

  - ### unset_topology_version

    public void unset_topology_version()

  - ### is_set_topology_version

    public boolean is_set_topology_version()
    Returns true if field topology_version is set (has been assigned a value) and false otherwise

  - ### set_topology_version_isSet

    public void set_topology_version_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(StormBase._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### getFieldValue

    public Object getFieldValue(StormBase._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### isSet

    public boolean isSet(StormBase._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(StormBase that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(StormBase other)
    Specified by:
      `compareTo` in interface `Comparable<StormBase>`

  - ### fieldForId

    public StormBase._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<StormBase,StormBase._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`